Create custom profile field

Creates a new custom profile field for the tenant. Set for_child_tenants to also propagate the field to child tenants.

Headers
  • X-Api-Version
    Type: string

    Optional API version for this request. When omitted, the server uses the default version. This documentation describes version 2026-02-01.

Body
required
application/json
  • name
    Type: string
    required
  • display_on_membership_card
    Type: boolean | null
  • for_child_tenants
    Type: boolean | null
  • user_editable
    Type: boolean | null
Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/custom_profile_fields
curl https://api.getcommunal.com/api/custom_profile_fields \
  --request POST \
  --header 'X-Api-Version: 2026-02-01' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "display_on_membership_card": null,
  "for_child_tenants": null,
  "user_editable": null
}'
{
  "id": 1,
  "tenant_id": null,
  "name": "string",
  "display_on_membership_card": true,
  "user_editable": true,
  "locked": true,
  "parent_profile_field_id": null,
  "created_at": null,
  "updated_at": null,
  "deleted_at": null,
  "values": [
    {
      "id": 1,
      "tenant_id": null,
      "value": "string",
      "user_id": null,
      "custom_profile_field_id": 1,
      "created_at": null,
      "updated_at": null,
      "deleted_at": null,
      "custom_profile_field": "string"
    }
  ]
}